## Reverse Redeemed Rewards

### cURL

```
curl --request POST \
  --url https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/reverse \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '\n{\n  "redemptionCode": "04c229d7-03cb-421f-9d77-1c0ff1fc2641",\n  "profileId": "67460e74-02e3-11e8-b443-00163e990bdb"\n}\n'
```

### Python Example

```
import requests

url = "https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/reverse"

payload = {
    "redemptionCode": "04c229d7-03cb-421f-9d77-1c0ff1fc2641",
    "profileId": "67460e74-02e3-11e8-b443-00163e990bdb"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

### JavaScript Example

```
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    redemptionCode: '04c229d7-03cb-421f-9d77-1c0ff1fc2641',
    profileId: '67460e74-02e3-11e8-b443-00163e990bdb'
  })
};

fetch('https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/reverse', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP Example

```


```

### Response

- **200** - Reward reversed successfully.
  ```json
  {
    "status": 200,
    "message": "Reward reversed successfully.",
    "errors": {},
    "data": null
  }
  ```
- **400** - Invalid Field
  ```json
  {
    "message": "Error message string",
    "errors": {
      "ExceptionString": ["Invalid Field"]
    },
    "data": null,
    "status": 400
  }
  ```
- **401** - Authentication Failed
  ```json
  {
    "detail": "Authentication Failed"
  }
  ```

### Authorization

- **Authorization Header**: `Bearer <token>` (where `<token>` is your auth token).

### Body

- **redemptionCode**: (required) UUID of the redemption code used in the specific transaction.
- **profileId**: (required) UUID of the member's profile ID.
